Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 434440

Summary: net-print/cups-1.6.1 should pull in virtual/libusb:1 with USE=usb instead of libusb:0
Product: Gentoo Linux Reporter: Hans <immerdabeiundnie>
Component: [OLD] PrintingAssignee: Printing Team <printing>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://cups.org/str.php?L3477
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 469502    
Bug Blocks: 463014    
Attachments: emerge --info cups

Description Hans 2012-09-09 12:44:48 UTC
According to the changelog, beginning with version 1.5.3, cups requires libusb:1 instead of the old libusb:0.

From CHANGES-1.5.txt:

CHANGES IN CUPS V1.5.3
[...]
        - The USB backend now uses and requires LIBUSB 1.0 or later (STR #3477)
[...]

I can confirm this for cups 1.6.1:

$ readelf -d /usr/libexec/cups/backend/usb

Dynamic section at offset 0x7b48 contains 26 entries:
  Tag        Type                         Name/Value
 0x0000000000000001 (NEEDED)             Shared library: [libusb-1.0.so.0]
 0x0000000000000001 (NEEDED)             Shared library: [libcups.so.2]
 0x0000000000000001 (NEEDED)             Shared library: [libpthread.so.0]
 0x0000000000000001 (NEEDED)             Shared library: [libc.so.6]
[...]

libusb-1.0.so.0 hereby belonging to dev-libs/libusbx-1.0.12.

Please change this accordingly.

Thanks!
Comment 1 Hans 2012-09-09 12:46:02 UTC
Created attachment 323286 [details]
emerge --info cups
Comment 2 Fred Krogh 2013-03-16 22:37:18 UTC
Using hwids-20130309-r1 and /udev-198-r1, cups-1.6.1, and cups-1.5.3 fails to work with my usb Samsung ML-1450 printer, while cups-1.5.2-r4 works just fine.  I presume is has to do with hwids or udev from the other comments, but I'm not clear what to do with those.
Comment 3 Andreas K. Hüttel gentoo-dev 2013-05-12 15:54:09 UTC
Fixed, thanks!